LINUX.ORG.RU

Не запускается менеджер пакетов в Mint debian 9


0

1

Нажимаю на менеджер пакетов в меню, появляется окно ввода пароля, ввожу пароль и нажимаю enter.Ничего не происходит, хотя раньше запускалось.Если можно, то подробную инструкцию, т.к. я новичок. Заранее спасибо!

Ответ на: комментарий от Schnitzel

XXXXXXXXX/YYYYYYYYYY ~ $ synaptic Command 'synaptic' is available in '/usr/sbin/synaptic' The command could not be located because '/usr/sbin' is not included in the PATH environment variable. This is most likely caused by the lack of administrative priviledges associated with your user account. synaptic: command not found

alexejiii ()
Ответ на: комментарий от alexejiii

Тогда сначала попробуйте сменить пароль:
sudo passwd

Желательно на какой-нибудь простой, не зависящий от раскладки. Например, 123. Потом можно будет поменять

dumal ★★ ()
Ответ на: комментарий от alexejiii

XXXXXXXXX/YYYYYYYYYY ~ $ su -c synaptic

Пароль:

su: Сбой при проверке подлинности

alexejiii ()
Ответ на: комментарий от dumal

>Тогда сначала попробуйте сменить пароль: sudo passwd

Желательно на какой-нибудь простой, не зависящий от раскладки. Например, 123. Потом можно будет поменять

XXXXXXXXX/YYYYYYYYYY ~ $ sudo passwd

[sudo] password for XXXXXXXXX:

Sorry, try again.

Не понимаю.Что мне делать?

alexejiii ()

Mint debian 9(!) ? А что это за зверь? Вроде LMDE есть роллинговый дистрибутив...

eliriand ★★ ()
Ответ на: комментарий от dumal

Епрст, я не правильно вводил пароль.Но, все-равно...

XXXXXXXXX/YYYYYYYYYY ~ $ sudo synaptic

synaptic: error while loading shared libraries: libapt-pkg.so.4.10: cannot open shared object file: No such file or directory

_________________________________________

XXXXXXXXX/YYYYYYYYYY ~ $ su -c synaptic

Пароль:

synaptic: error while loading shared libraries: libapt-pkg.so.4.10: cannot open shared object file: No such file or directory

А теперь каков мой вердикт?

alexejiii ()
Ответ на: комментарий от dumal

Все сделал как писал willie42 и vincent, но после первого ввода пароля synaptic перестал запускать окно ввода пароля и ничего не происходит.

P.S. что-то лыжи не едут...

alexejiii ()
Ответ на: комментарий от dumal

Вот что я делал:

sudo apt-get update

sudo apt-get upgrade

apt install -f

sudo apt-get install -f --yes --force-yes && sudo apt-get update && sudo apt-get dist-upgrade --yes --force-yes

apt update sudo rm /var/lib/dpkg/info/mintdesktop.prerm apt install mintdesktop

И ничего...

_____________________________________________

Правда, я не понимаю чем update от upgrade с точки зрения английского языка отличается.В командах терминала ничегошеньки не понимаю.Может кто даст ссылку, где наглядно объясняется на русском(желательно с картинками) как пользоваться основными командами linux.

alexejiii ()
Ответ на: комментарий от dumal

XXXXXXXXX/YYYYYYYYYY ~ $ sudo synaptic

[sudo] password for XXXXXXXXX:

synaptic: error while loading shared libraries: libapt-pkg.so.4.10: cannot open shared object file: No such file or directory

___________________________________________

Не знаю...Скорее я что-то не то делаю.Но все же хотелось бы запустить synaptic, а то придется переустанавливать linux

alexejiii ()
Ответ на: комментарий от dumal

Опять тоже самое...

XXXXXXXXX/YYYYYYYYYY ~ $ sudo dpkg --configure -a

[sudo] password for XXXXXXXXX:


dpkg: зависимости пакетов не позволяют настроить пакет libapt-pkg-perl:
libapt-pkg-perl зависит от libapt-pkg4.10, однако:
Пакет libapt-pkg4.10 не установлен.
dpkg: не удалось обработать параметр libapt-pkg-perl (--configure):
проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет synaptic:
synaptic зависит от libapt-pkg4.10, однако:
Пакет libapt-pkg4.10 не установлен.
dpkg: не удалось обработать параметр synaptic (--configure):
проблемы зависимостей — оставляем не настроенным
Настраивается пакет debian-archive-keyring (2010.08.28) ...
gpg: ключ F42584E6: «Lenny Stable Release Key <debian-release@lists.debian.org>» не изменен
gpg: ключ 55BE302B: «Debian Archive Automatic Signing Key (5.0/lenny) <ftpmaster@debian.org>» не изменен
gpg: ключ 6D849617: «Debian-Volatile Archive Automatic Signing Key (5.0/lenny)» не изменен
gpg: failed to create temporary file `/etc/apt/.#lk0x9268f90.r519/r719-laptop.3880': Нет такого файла или каталога
gpg: can't allocate lock for `/etc/apt/trusted.gpg'
gpg: failed to create temporary file `/etc/apt/.#lk0x9268f90.r519/r719-laptop.3880': Нет такого файла или каталога
gpg: can't allocate lock for `/etc/apt/secring.gpg'
gpg: ошибка записи таблицы ключей `/etc/apt/trusted.gpg': глобальная ошибка
gpg: ключ B98321F9: открытый ключ «[User ID не найден]» импортирован
gpg: ошибка чтения `[stdin]': глобальная ошибка
gpg: import from `[stdin]' failed: глобальная ошибка
gpg: Всего обработано: 3
gpg: импортировано: 1 (RSA: 1)
gpg: неизмененных: 3
dpkg: не удалось обработать параметр debian-archive-keyring (--configure):
подпроцесс установлен сценарий post-installation возвратил код ошибки 2
dpkg: зависимости пакетов не позволяют настроить пакет libept1:
libept1 зависит от libapt-pkg4.10, однако:
Пакет libapt-pkg4.10 не установлен.
dpkg: не удалось обработать параметр libept1 (--configure):
проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет python-apt:
python-apt зависит от libapt-pkg4.10, однако:
Пакет libapt-pkg4.10 не установлен.
dpkg: не удалось обработать параметр python-apt (--configure):
проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет apt-utils:
apt-utils зависит от libapt-pkg4.10, однако:
Пакет libapt-pkg4.10 не установлен.
dpkg: не удалось обработать параметр apt-utils (--configure):
проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
libapt-pkg-perl
synaptic
debian-archive-keyring
libept1
python-apt
apt-utils

XXXXXXXXX/YYYYYYYYYY ~ $ sudo apt-get install -f


Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Будут установлены следующие дополнительные пакеты:
apt aptitude
Предлагаемые пакеты:
apt-doc debtags
Рекомендуемые пакеты:
aptitude-doc-en aptitude-doc apt-xapian-index libparse-debianchangelog-perl
Пакеты, которые будут обновлены:
apt aptitude
обновлено 2, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 703 пакетов не обновлено.
не установлено до конца или удалено 6 пакетов.
Необходимо скачать 0B/5 984kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 913kB.
Хотите продолжить [Д/н]? д
ВНИМАНИЕ: Следующие пакеты невозможно аутентифицировать!
aptitude apt
Предупреждение об аутентификации не принято в внимание.
Traceback (most recent call last):
File «/usr/bin/apt-listchanges», line 28, in <module>
import apt_pkg
ImportError: libapt-pkg.so.4.10: cannot open shared object file: No such file or directory
apt-extracttemplates: error while loading shared libraries: libapt-pkg.so.4.10: cannot open shared object file: No such file or
directory
debconf: ошибка при работе apt-extracttemplates: Неправильный дескриптор файла
Настраивается пакет debian-archive-keyring (2010.08.28) ...
gpg: ключ F42584E6: «Lenny Stable Release Key <debian-release@lists.debian.org>» не изменен
gpg: ключ 55BE302B: «Debian Archive Automatic Signing Key (5.0/lenny) <ftpmaster@debian.org>» не изменен
gpg: ключ 6D849617: «Debian-Volatile Archive Automatic Signing Key (5.0/lenny)» не изменен
gpg: failed to create temporary file `/etc/apt/.#lk0x8d3ff90.r519/r719-laptop.3900': Нет такого файла или каталога
gpg: can't allocate lock for `/etc/apt/trusted.gpg'
gpg: failed to create temporary file `/etc/apt/.#lk0x8d3ff90.r519/r719-laptop.3900': Нет такого файла или каталога
gpg: can't allocate lock for `/etc/apt/secring.gpg'
gpg: ошибка записи таблицы ключей `/etc/apt/trusted.gpg': глобальная ошибка
gpg: ключ B98321F9: открытый ключ «[User ID не найден]» импортирован
gpg: ошибка чтения `[stdin]': глобальная ошибка
gpg: import from `[stdin]' failed: глобальная ошибка
gpg: Всего обработано: 3
gpg: импортировано: 1 (RSA: 1)
gpg: неизмененных: 3
dpkg: не удалось обработать параметр debian-archive-keyring (--configure):
подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
debian-archive-keyring
E: Sub-process /usr/bin/dpkg returned an error code (1)

XXXXXXXXX/YYYYYYYYYY ~ $ sudo synaptic

synaptic: error while loading shared libraries: libapt-pkg.so.4.10: cannot open shared object file: No such file or directory

alexejiii ()
Ответ на: комментарий от dumal


XXXXXXXXX/YYYYYYYYYY ~ $ sudo apt-get install libapt-pkg4.10
[sudo] password for XXXXXXXXX:
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Заметьте, вместо libapt-pkg4.10 выбирается apt
Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
aptitude: Зависит: libapt-pkg-libc6.9-6-4.8
Рекомендует: aptitude-doc-en но он не будет установлен или aptitude-doc
Рекомендует: apt-xapian-index но он не будет установлен
Рекомендует: libparse-debianchangelog-perl но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не
указывая имени пакета, (или найдите другое решение).
XXXXXXXXX/YYYYYYYYYY ~ $ sudo apt-get -f install
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Будут установлены следующие дополнительные пакеты:
apt aptitude
Предлагаемые пакеты:
apt-doc debtags
Рекомендуемые пакеты:
aptitude-doc-en aptitude-doc apt-xapian-index libparse-debianchangelog-perl
Пакеты, которые будут обновлены:
apt aptitude
обновлено 2, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 703 пакетов не обновлено.
не установлено до конца или удалено 6 пакетов.
Необходимо скачать 0B/5 984kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 913kB.
Хотите продолжить [Д/н]? д
ВНИМАНИЕ: Следующие пакеты невозможно аутентифицировать!
aptitude apt
Предупреждение об аутентификации не принято в внимание.
Traceback (most recent call last):
File «/usr/bin/apt-listchanges», line 28, in <module>
import apt_pkg
ImportError: libapt-pkg.so.4.10: cannot open shared object file: No such file or directory
apt-extracttemplates: error while loading shared libraries: libapt-pkg.so.4.10: cannot open shared object
file: No such file or directory
debconf: ошибка при работе apt-extracttemplates: Неправильный дескриптор файла
Настраивается пакет debian-archive-keyring (2010.08.28) ...
gpg: ключ F42584E6: «Lenny Stable Release Key <debian-release@lists.debian.org>» не изменен
gpg: ключ 55BE302B: «Debian Archive Automatic Signing Key (5.0/lenny) <ftpmaster@debian.org>» не изменен
gpg: ключ 6D849617: «Debian-Volatile Archive Automatic Signing Key (5.0/lenny)» не изменен
gpg: failed to create temporary file `/etc/apt/.#lk0x877df90.r519/r719-laptop.3280': Нет такого файла или
каталога
gpg: can't allocate lock for `/etc/apt/trusted.gpg'
gpg: failed to create temporary file `/etc/apt/.#lk0x877df90.r519/r719-laptop.3280': Нет такого файла или
каталога
gpg: can't allocate lock for `/etc/apt/secring.gpg'
gpg: ошибка записи таблицы ключей `/etc/apt/trusted.gpg': глобальная ошибка
gpg: ключ B98321F9: открытый ключ «[User ID не найден]» импортирован
gpg: ошибка чтения `[stdin]': глобальная ошибка
gpg: import from `[stdin]' failed: глобальная ошибка
gpg: Всего обработано: 3
gpg: импортировано: 1 (RSA: 1)
gpg: неизмененных: 3
dpkg: не удалось обработать параметр debian-archive-keyring (--configure):
подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
debian-archive-keyring
E: Sub-process /usr/bin/dpkg returned an error code (1)

Черт его знает...

alexejiii ()
Ответ на: комментарий от dumal


XXXXXXXXX/YYYYYYYYYY ~ $ sudo apt-get -f install libapt-pkg4.10
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Заметьте, вместо libapt-pkg4.10 выбирается apt
Возможно, для исправления этих ошибок вы захотите воспользоваться `apt-get -f install':
Пакеты, имеющие неудовлетворённые зависимости:
aptitude: Зависит: libapt-pkg-libc6.9-6-4.8
Рекомендует: aptitude-doc-en но он не будет установлен или aptitude-doc
Рекомендует: apt-xapian-index но он не будет установлен
Рекомендует: libparse-debianchangelog-perl но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить 'apt-get -f install', не указывая имени пакета, (или найдите другое решение).
XXXXXXXXX/YYYYYYYYYY ~ $ sudo apt-get -f install
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Исправление зависимостей... Готово
Будут установлены следующие дополнительные пакеты:
apt aptitude
Предлагаемые пакеты:
apt-doc debtags
Рекомендуемые пакеты:
aptitude-doc-en aptitude-doc apt-xapian-index libparse-debianchangelog-perl
Пакеты, которые будут обновлены:
apt aptitude
обновлено 2, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 704 пакетов не обновлено.
не установлено до конца или удалено 6 пакетов.
Необходимо скачать 0B/5 984kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 913kB.
Хотите продолжить [Д/н]? д
ВНИМАНИЕ: Следующие пакеты невозможно аутентифицировать!
aptitude apt
Предупреждение об аутентификации не принято в внимание.
Traceback (most recent call last):
File «/usr/bin/apt-listchanges», line 28, in <module>
import apt_pkg
ImportError: libapt-pkg.so.4.10: cannot open shared object file: No such file or directory
apt-extracttemplates: error while loading shared libraries: libapt-pkg.so.4.10: cannot open shared object file: No
such file or directory
debconf: ошибка при работе apt-extracttemplates: Неправильный дескриптор файла
Настраивается пакет debian-archive-keyring (2010.08.28) ...
gpg: ключ F42584E6: «Lenny Stable Release Key <debian-release@lists.debian.org>» не изменен
gpg: ключ 55BE302B: «Debian Archive Automatic Signing Key (5.0/lenny) <ftpmaster@debian.org>» не изменен
gpg: ключ 6D849617: «Debian-Volatile Archive Automatic Signing Key (5.0/lenny)» не изменен
gpg: failed to create temporary file `/etc/apt/.#lk0x931ff90.r519/r719-laptop.2368': Нет такого файла или каталога
gpg: can't allocate lock for `/etc/apt/trusted.gpg'
gpg: failed to create temporary file `/etc/apt/.#lk0x931ff90.r519/r719-laptop.2368': Нет такого файла или каталога
gpg: can't allocate lock for `/etc/apt/secring.gpg'
gpg: ошибка записи таблицы ключей `/etc/apt/trusted.gpg': глобальная ошибка
gpg: ключ B98321F9: открытый ключ «[User ID не найден]» импортирован
gpg: ошибка чтения `[stdin]': глобальная ошибка
gpg: import from `[stdin]' failed: глобальная ошибка
gpg: Всего обработано: 3
gpg: импортировано: 1 (RSA: 1)
gpg: неизмененных: 3
dpkg: не удалось обработать параметр debian-archive-keyring (--configure):
подпроцесс установлен сценарий post-installation возвратил код ошибки 2
При обработке следующих пакетов произошли ошибки:
debian-archive-keyring
E: Sub-process /usr/bin/dpkg returned an error code (1)


Тоже самое...
Что означает -f ???
Тут на одном форуме нашел ответ #11.


cd /var/lib/dpkg/info
rm vmware-server.*
apt-get -f install

Что это?Не угроблю систему?

alexejiii ()
Ответ на: комментарий от dumal


XXXXXXXXX/YYYYYYYYYY ~ $ sudo apt-get -f install libapt-pkg-libc6.9-6-4.8
[sudo] password for XXXXXXXXX:
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Пакет libapt-pkg-libc6.9-6-4.8 - виртуальный, его функции предоставляются пакетами:
Вы должны явно указать, какой именно вы хотите установить.
E: Для пакета libapt-pkg-libc6.9-6-4.8 не найдены кандидаты на установку

alexejiii ()
Ответ на: комментарий от alexejiii

После этого:


sudo apt-get -f install libapt-pkg4.10
sudo apt-get -f install
sudo synaptic

тоже самое выдают

alexejiii ()
Ответ на: комментарий от dumal

у меня так вообще на пингвмна ругался, мол слишком длинная строка... а симптомы быдли те же

anonymous ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.